
        OS/2 Compatibility Testkit   WARP Version 4.0 - Speech Recognition


System Requirements:

   *  Pentium 90Mhz or higher

   *  16MB Memory

   *  300MB OS/2 Boot partition

   *  Sound Card (refer to WARP 4.0 readme for supported cards)

   *  Speakers

   *  Microphone (shipped with Version 4.0 PCM Testkit)



Install Verification:

   1. Click on "Programs" icon on desktop

   2. Verify that the "Voice Type" folder is present, Click to open.

   3. Verify that the following icons are in Voice Type folder:

      a) Dictation Window
      b) Dictation Macro Editor
      c) Enrollment
      d) Voice Type Users Guide (shadow icon)
      e) States Game
      f) Migrate User Information
      g) Optional Vocabularies Install/Uninstall
      h) Check Installation
      i) Voice Manager


Check Installation:

      a) Click on "Check Installation" icon.

      b) Enter user name and click on "Create" button.

      c) Click on OK for pop-up that new user has been created successfully

      d) Click on "Start Test" button
         Repeat the words presented in the display area.
         Continue until all 7 test words have been spoken and recognized.
         Test will stop when all 7 completed
         Click "OK" on pop-up that test completed successfully.

      e) Click on "Check Speakers"
         Let recording play for at least 5 seconds, then click "OK" to stop

      f) Click on "Record"
         Pop-up will request at least 8 words, consistent volume, click "OK"
         Speak at least 8 words (a sentence) into microphone.
         Click on "Stop", then "Play" to playback the recording

      g) Click on "Exit" to close.

      h) Click on "YES" to save input and match level established.


Voice Test:

   1. Click on "States Game".
      Wait for application and Voice Manager to open and initialize.

   2. Click on Microphone in Voice Manager to activiate.

   3. Say the names of several states and verify that they are highlighted.

      NOTE: The "Help" button provides a list of state names and which have
            been spoken and recognized and which are left.

      NOTE: It may be necessary to modify the voice settings for match.
            To to this, click on the Voice Manager icon to the left of
            the help icon (?).  Click on the Audio Tab and go to the
            second page.  Adjust the slide bar for sound match to the
            left for more approximate match.  Then retry the States Game.

   4. Close the States Game

   5. Verify that the microphone in Voice Manager is still active.


Desktop Navigation Test:

   6. Say "Jump to Command Prompts"
      Verify that the "Command Prompts" folder opens on desktop.

   7. Say UP/DOWN/LEFT/RIGHT as needed to highlight OS/2 window

   8. Say OPEN, verify that an OS/2 window session opens.

   9. Say CLOSE, when pop-up panel appears, say YES to continue closing.

